Bug 1476528 - [abrt] blueman: get(): Base.py:113:get:blueman.bluez.errors.BluezDBusException: org.freedesktop.DBus.Error.UnknownObject Method "Get" with signature "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist
[abrt] blueman: get(): Base.py:113:get:blueman.bluez.errors.BluezDBusExceptio...
Status: NEW
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pete Walter
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:19c2d6a5e9659b643a0b74d84e1...
:
: 1499773 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-29 18:27 EDT by Dominik 'Rathann' Mierzejewski
Modified: 2018-05-03 04:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.26 KB, text/plain)
2017-07-29 18:27 EDT, Dominik 'Rathann' Mierzejewski
no flags Details
File: cgroup (289 bytes, text/plain)
2017-07-29 18:27 EDT, Dominik 'Rathann' Mierzejewski
no flags Details
File: cpuinfo (1.20 KB, text/plain)
2017-07-29 18:27 EDT, Dominik 'Rathann' Mierzejewski
no flags Details
File: environ (1.81 KB, text/plain)
2017-07-29 18:27 EDT, Dominik 'Rathann' Mierzejewski
no flags Details
File: mountinfo (4.05 KB, text/plain)
2017-07-29 18:27 EDT, Dominik 'Rathann' Mierzejewski
no flags Details
File: namespaces (102 bytes, text/plain)
2017-07-29 18:27 EDT, Dominik 'Rathann' Mierzejewski
no flags Details
File: open_fds (1.26 KB, text/plain)
2017-07-29 18:27 EDT, Dominik 'Rathann' Mierzejewski
no flags Details

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2017-07-29 18:27:43 EDT
Description of problem:
I don't know what caused this.

Version-Release number of selected component:
blueman-2.1-0.5.alpha1.fc26

Additional info:
reporter:       libreport-2.9.1
cmdline:        python3.6 /usr/bin/blueman-manager
crash_function: get
exception_type: GLib.GError
executable:     /usr/bin/blueman-manager
kernel:         4.11.11-300.fc26.x86_64
runlevel:       N 5
type:           Python3
uid:            5242

Truncated backtrace:
Base.py:113:get:blueman.bluez.errors.BluezDBusException: org.freedesktop.DBus.Error.UnknownObject Method "Get" with signature "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist


Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/blueman/bluez/Base.py", line 107, in get
    None)
GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.UnknownObject: Method "Get" with signature "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist
 (41)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/blueman/gui/DeviceList.py", line 152, in update
    if not device['Connected']:
  File "/usr/lib/python3.6/site-packages/blueman/bluez/Base.py", line 142, in __getitem__
    return self.get(key)
  File "/usr/lib/python3.6/site-packages/blueman/bluez/Base.py", line 113, in get
    raise parse_dbus_error(e)
blueman.bluez.errors.BluezDBusException: org.freedesktop.DBus.Error.UnknownObject Method "Get" with signature "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist


Local variables in innermost frame:
name: 'Connected'
self: <Device.Device object at 0x7fb5c6c1bd80 (blueman+bluez+Device+Device at 0x558e75cf8390)>
Comment 1 Dominik 'Rathann' Mierzejewski 2017-07-29 18:27:47 EDT
Created attachment 1306401 [details]
File: backtrace
Comment 2 Dominik 'Rathann' Mierzejewski 2017-07-29 18:27:49 EDT
Created attachment 1306402 [details]
File: cgroup
Comment 3 Dominik 'Rathann' Mierzejewski 2017-07-29 18:27:51 EDT
Created attachment 1306403 [details]
File: cpuinfo
Comment 4 Dominik 'Rathann' Mierzejewski 2017-07-29 18:27:52 EDT
Created attachment 1306404 [details]
File: environ
Comment 5 Dominik 'Rathann' Mierzejewski 2017-07-29 18:27:54 EDT
Created attachment 1306405 [details]
File: mountinfo
Comment 6 Dominik 'Rathann' Mierzejewski 2017-07-29 18:27:55 EDT
Created attachment 1306406 [details]
File: namespaces
Comment 7 Dominik 'Rathann' Mierzejewski 2017-07-29 18:27:57 EDT
Created attachment 1306407 [details]
File: open_fds
Comment 8 Loic Wendling 2017-10-09 07:22:17 EDT
*** Bug 1499773 has been marked as a duplicate of this bug. ***
Comment 9 Fedora End Of Life 2018-05-03 04:31:20 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.